### Signal

# Gtk GesturePan::pan

#### Declaration

    void
    pan (
      GtkGesturePan self,
      GtkPanDirection* direction,
      gdouble offset,
      gpointer user_data
    )

#### Description [src]

Emitted once a panning gesture along the expected axis is detected.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`direction` | `GtkPanDirection`
| Current direction of the pan gesture.
| The data is owned by the caller of the function.
`offset` | `gdouble`
| Offset along the gesture orientation.